%define name krusader
%define version 1.70.0
%define rel beta2.2
%define release %mkrel %rel

Summary: 	Advanced twin-panel file-manager for KDE 3.x
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%name-%{version}-beta2.tar.bz2
License: 	GPL
Group: 		File tools
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://krusader.sourceforge.net
Epoch:		3
Requires: 	kdelibs

BuildRequires:  kdelibs-devel
BuildRequires:  acl-devel

Obsoletes:	kde3-krusader
Provides:	kde3-krusader

%description
Krusader is an advanced twin-panel (commander-style) file-manager for KDE 3.x
(similar to Midnight or Total Commander) but with many extras.
It provides all the file-management features you could possibly want.
Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module,
viewer/editor, directory synchronisation, file content comparisons,
powerful batch renaming and
much much more.
It supports the following archive formats: tar, zip, bzip2, gzip, rar,
ace, arj and rpm
and can handle other KIOSlaves such as smb:// or fish://
It is (almost) completely customizable, very user friendly,
fast and looks great on your desktop! :-)
You should give it a try. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%{version}-beta2


%build
make -f admin/Makefile.common cvs

%{?__cputoolize: %{__cputoolize} }

# %%configure doesn't work
./configure --prefix=%_prefix \
	--bindir=%_bindir \
	--libdir=%_libdir \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--datadir=%_datadir \
        --disable-rpath \
	--disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall KDEDIR=$RPM_BUILD_ROOT%{_prefix} kde_minidir=$RPM_BUILD_ROOT%{_miconsdir}

#fix conflict with Kdebase
rm -fr %buildroot%{_libdir}/kde3/kio_tar.so
rm -fr %buildroot%{_libdir}/kde3/kio_tar.la

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

kdedesktop2mdkmenu.pl krusader "Applications/File tools"    %buildroot/%_datadir/applnk/krusader.desktop                             %buildroot/%_menudir/krusader

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%{name}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/%{name}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/%{name}.png %buildroot/%_miconsdir

rm -rf $RPM_BUILD_ROOT/%_datadir/mimelnk/application/*.desktop


%find_lang krusader

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f krusader.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO COPYING krusader.lsm
%doc %{_datadir}/doc/HTML/en/*
%_bindir/*
%_datadir/applnk/krusader*.desktop

%_datadir/apps/krusader/*.color
%_datadir/apps/krusader/*.keymap*
%_datadir/apps/krusader/*.xml

%dir %_datadir/apps/krusader/
%_datadir/apps/krusader/*.rc
#%_datadir/apps/krusader/*.png
#%_datadir/apps/krusader/*.jpg




%_datadir/services/*

%_menudir/*


%_datadir/apps/konqueror/servicemenus/isoservice.desktop
%_datadir/config/kio_isorc

#%_datadir/mimelnk/application/*.desktop 

%_datadir/apps/krusader/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/krusader/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/krusader/icons/crystalsvg/32x32/actions/*.png

%_iconsdir/crystalsvg/16x16/apps/krusader_blue.png
%_iconsdir/crystalsvg/16x16/apps/krusader_red.png
%_iconsdir/crystalsvg/22x22/apps/krusader_blue.png
%_iconsdir/crystalsvg/22x22/apps/krusader_red.png
%_iconsdir/crystalsvg/22x22/apps/krusader_shield.png
%_iconsdir/crystalsvg/32x32/apps/krusader_blue.png
%_iconsdir/crystalsvg/32x32/apps/krusader_red.png
%_iconsdir/crystalsvg/32x32/apps/krusader_shield.png
%_iconsdir/crystalsvg/48x48/apps/krusader_blue.png
%_iconsdir/crystalsvg/48x48/apps/krusader_red.png
%_iconsdir/crystalsvg/48x48/apps/krusader_shield.png
%_iconsdir/crystalsvg/64x64/apps/krusader_blue.png
%_iconsdir/crystalsvg/64x64/apps/krusader_red.png
%_iconsdir/crystalsvg/64x64/apps/krusader_shield.png

%_iconsdir/locolor/16x16/apps/krusader.png
%_iconsdir/locolor/32x32/apps/krusader.png
%_iconsdir/locolor/32x32/apps/krusader2.png

%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%_libdir/kde3/*

%_mandir/man1/*


%changelog
* Wed Dec 14 2005 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-beta2.2
- Use patch from Anssi Hannula <anssi.hannula@gmail.com> to fixing build
on x86_64 and use mkrel

* Sun Nov 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-beta2.1mdk
- beta2

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.70.0-beta1.5mdk
- Add BuildRequires

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.70.0-beta1.4mdk
- Fix conflict

* Wed Oct 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.70.0-beta1.3mdk
- Fix conflict

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.70.0-beta1.2mdk
- Fix BuildRequires

* Mon Oct 17 2005 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-beta1.1mdk
- 1.70.beta1

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 1.60.0-2mdk
- Fix x64 build fix bug #15728

* Mon Apr 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.60.0-1mdk
- 1.60.0

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.60-0.beta2.1mdk
- 1.60 beta2

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.60-0.beta1.1mdk
- 1.60 beta1

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.51-1mdk
- 1.51

* Tue Nov 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.50-2mdk
- Add patch3: fix potential crash

* Mon Nov 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.50-1mdk
- 1.50

* Tue Jul 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.40-1mdk
- 1.40

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta2.1mdk
- beta2

* Fri Jun 06 2004 Angelo Naselli <random_lx@yahoo.com> 1.40-0.beta1.4mdk
- Fix icon position

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta1.3mdk
- Rebuild

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta1.2mdk
- Update description (patch give by frank_schoolmeesters@fastmail.fm)

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta1.1mdk
- 1.40beta1

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.30-3mdk
- Rebuild

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.30-2mdk
- Readd epoch (thanks to Marcel Pol to report it)

* Mon Nov 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.30-1mdk
- 1.30
- remove epoch 

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-4mdk
- Rebuild

* Thu Jun 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-3mdk
- Re-upload, readd epoch removed by Lenny thanks Warly

* Thu Jun 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-2mdk
- Rebuild because binary was not uploading into contrib

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.20-1mdk
- 1.20

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.12-0.beta1.2mdk
- added libfam-devel to buildrequires (why do I find it hard to believe that we
  need all those buildrequires already there..?;)

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.12-0.beta1.2mdk
- Rebuild

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.12-0.beta1.1mdk
- 1.12bet1

* Sat Oct 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.11-2mdk
- add a libdir to the configure call to fix a rpmlint error

* Fri Oct 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.11-1mdk
- 1.11

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.10-1mdk
- 1.10

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.02-8mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-7mdk
- Rebuild against gcc-3.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-6mdk
- Fix menu entry

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-5mdk
- Rebuild

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-4mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-3mdk
- Rebuild against gcc3.1

* Thu Apr 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-2mdk
- Fix menu entry

* Wed Apr 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-1mdk
- 1.02

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.01-2mdk
- Fix update menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.01-1mdk
- port to kde3.0 
